<div class="btnAcrossPageName">
  <!-- add -->
  <mb-button mbButtonSize='MEDIUM' mbButtonAvailableStyle='ADD_NEW' (click)='showModalUpdate(null, footerTmpl)'
             mbButtonText="{{'staffAbs.add' | translate}}"></mb-button>
</div>


<div class="content__item content__item--border bg__content--default">
    <form nz-form [formGroup]='formSearch' style='margin-bottom: 8px' (keyup.enter)='search(1)'>
        <div nz-row [nzGutter]='[30,30]'>
            <div nz-col nzXs='24' nzLg='12'>
                <mb-input-text formControlName='name' [mbMaxLength]='200'
                            mbPlaceholderText="--{{'staffAbs.workCalendar.name' | translate}}--"
                            mbLabelText="{{'staffAbs.workCalendar.name' | translate}}"></mb-input-text>
            </div>
        </div>
    </form>

  <div nz-row class="btn__row">
    <div nz-col nzSpan="8"></div>
    <div nz-col nzSpan="8">
      <div style="text-align: center">
        <mb-button mbButtonSize='MEDIUM' mbButtonAvailableStyle='SEARCH' (click)='search(null)'
                   mbButtonText="{{'staffAbs.label.search' | translate}}"></mb-button>
      </div>
    </div>
    <div nz-col nzSpan="8"></div>
  </div>

</div>


<div class='search__result'>
  <mb-table-wrap>
    <mb-table (changePageNum)='search($event)' [tableConfig]='tableConfig' [tableData]='items'></mb-table>
  </mb-table-wrap>
</div>

<!-- template action -->
<ng-template #actionTmpl let-workCalendarId='workCalendarId'>
    <mb-button mbButtonType="ONLY_ICON" mbButtonIconType="AWESOME" mbPrefixIcon="far fa-pencil-alt"
                (click)="showModalUpdate(workCalendarId, footerTmpl)"></mb-button>
    <mb-button mbButtonType="ONLY_ICON" mbButtonIconType="AWESOME" mbPrefixIcon="fal fa-calendar"
                (click)="showDetaiCalendar(workCalendarId)"></mb-button>
    <mb-button mbButtonType="ONLY_ICON" mbButtonIconType="AWESOME" nz-popconfirm
                nzPopconfirmTitle="{{'staffAbs.table.action.confirmDelete' | translate}}"
                nzCancelText="{{'staffAbs.table.action.cancel' | translate}}"
                nzOkType="primary"
                nzOkText="{{'staffAbs.table.action.yes' | translate}}"
                (nzOnConfirm)="doDelete(workCalendarId)"
                nzPopconfirmPlacement="top" mbPrefixIcon="fal fa-trash-alt"></mb-button>
</ng-template>
<ng-template #monWorkTimeTemplate let-workTime='monWorkTime'><span>{{'staffAbs.workCalendar.workTime.' + workTime  | translate}}</span></ng-template>
<ng-template #tueWorkTimeTemplate let-workTime='tueWorkTime'><span>{{'staffAbs.workCalendar.workTime.' + workTime  | translate}}</span></ng-template>
<ng-template #wedWorkTimeTemplate let-workTime='wedWorkTime'><span>{{'staffAbs.workCalendar.workTime.' + workTime  | translate}}</span></ng-template>
<ng-template #thuWorkTimeTemplate let-workTime='thuWorkTime'><span>{{'staffAbs.workCalendar.workTime.' + workTime  | translate}}</span></ng-template>
<ng-template #friWorkTimeTemplate let-workTime='friWorkTime'><span>{{'staffAbs.workCalendar.workTime.' + workTime  | translate}}</span></ng-template>
<ng-template #satWorkTimeTemplate let-workTime='satWorkTime'><span>{{'staffAbs.workCalendar.workTime.' + workTime  | translate}}</span></ng-template>
<ng-template #sunWorkTimeTemplate let-workTime='sunWorkTime'><span>{{'staffAbs.workCalendar.workTime.' + workTime  | translate}}</span></ng-template>

<ng-template #footerTmpl>
    <mb-button mbButtonType="NO_BORDER" mbButtonSize="LARGE" (click)="modal.destroy()" mbButtonBgColor="transparent" mbButtonText="{{'common.button.cancel' | translate}}"></mb-button>
    <mb-button mbButtonType="NO_BORDER" mbButtonSize="LARGE" (click)="modal.getContentComponent().save()" mbButtonAvailableStyle="PRIMARY" mbButtonText="{{'common.button.save' | translate}}"></mb-button>
</ng-template>

